Customer pools

Get Pool Customer by Id

Get a customer in a pool by id.

GET
/customer/projects/{projectId}/customer-pools/{customerPoolId}/customers/{customerId}

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string
customerId*string
customerPoolId*string

Query Parameters

attributeTypes*string
Value in"all" | "custom" | "app"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/customer/projects/string/customer-pools/string/customers/string?attributeTypes=all"
{
  "status": "success",
  "message": "string",
  "data": {},
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}